#ifndef TRIMMED_SEQUENCE_HH
#define TRIMMED_SEQUENCE_HH 1

#include <string>

using std::string;

class TrimmedSequence
{
public:
  TrimmedSequence(const string & seqname);
  ~TrimmedSequence();

  void addData(char * buffer, bool isQual);
  const string & getNuc() const;
  const string & getQual();


private:
  string m_seqname;

  string m_seq;
  string m_qual;
};

#endif
